Subject: git stash pop not reapplying deletions

From: Steve Folly <[email-masked]>
Date: Sun, 14 Feb 2010 19:45:03 +0000 (UTC)

Hi,

I'm not sure if I've found a bug in 'git stash' or if I'm using 
it the wrong way? (This is with git 1.6.6):

$ git init stashtest
$ cd stashtest
$ mkdir dira
$ touch dira/a dira/b dira/c
$ git stage dira
$ git commit -m "added dira"
$ git mv dira dirb
$ git status   # correctly shows renames

# On branch master
# Changes to be committed:
#   (use "git reset HEAD <file>..." to unstage)
#
#	renamed:    dira/a -> dirb/a
#	renamed:    dira/b -> dirb/b
#	renamed:    dira/c -> dirb/c
#

$ git stash
$ git stash pop

# On branch master
# Changes to be committed:
#   (use "git reset HEAD <file>..." to unstage)
#
#	new file:   dirb/a
#	new file:   dirb/b
#	new file:   dirb/c
#
# Changed but not updated:
#   (use "git add/rm <file>..." to update what will be 
committed)
#   (use "git checkout -- <file>..." to discard changes in working directory)
#
#	deleted:    dira/a
#	deleted:    dira/b
#	deleted:    dira/c
#
Dropped refs/stash@{0} (cf9efdede3a3ee8e078192b574520fd2ed7f3d9b)

It's added the new files in dirb but hasn't deleted the old files in dira. Is
this right?

Regards,
Steve